# norootforbuild
%define pkg_name    ps
#
Name: php5-ps
Version: 1.3.6
Release: 4.1
#
License: PHP
Group: Productivity/Networking/Web/Servers
#
BuildRoot: %{_tmppath}/%{pkg_name}-%{version}-build
BuildRequires: libps-devel php5-devel
#
URL: http://pecl.php.net/ps
Source: http://pecl.php.net/package/ps/%{pkg_name}-%{version}.tgz
Summary: An extension to create PostScript files

%description

	ps is an extension similar to the pdf extension but for creating PostScript files.
	
Authors:
---------

	Uwe Steinmann 

%prep

%setup -q -n %{pkg_name}-%{version}

%{__mkdir} %{name}

%build
/usr/bin/phpize
pushd %{name}

CFLAGS="%{optflags} -fno-strict-aliasing"
CXXFLAGS="%{optflags} -fno-strict-aliasing"
%if 0%{?suse_version} > 1000
CFLAGS="$CFLAGS -fstack-protector"
CXXFLAGS="$CXXFLAGS -fstack-protector"
%endif

export CFLAGS
export CXXFLAGS

../configure

%{__make} %{?jobs:-j%jobs}
popd

%install

%makeinstall -C %{name} INSTALL_ROOT=%{buildroot}
%{__mkdir_p} %{buildroot}%{_sysconfdir}/php5/conf.d
echo "; comment out next line to disable ps extension in php" > %{buildroot}%{_sysconfdir}/php5/conf.d/ps.ini
echo 'extension = ps.so' >> %{buildroot}%{_sysconfdir}/php5/conf.d/ps.ini


%clean

%{__rm} -rf %{buildroot}

%files
%defattr(644,root,root,755)
%{_libdir}/php5/extensions/ps.so
%config(noreplace) %{_sysconfdir}/php5/conf.d/ps.ini

%doc CREDITS

%changelog -n php5-ps
* Mon Dec 18 2006 - judas_iscariote@shorewall.net 
- very first build
